Package com.avaya.clientservices.calllog

## Enum CallLogReadStatus

- java.lang.Object
- - java.lang.Enum<CallLogReadStatus>
  - - com.avaya.clientservices.calllog.CallLogReadStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallLogReadStatus>`

      public enum CallLogReadStatus
      extends java.lang.Enum<CallLogReadStatus>

  Describes the read status of Call Log item

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `READ` | Indicates a call log which is already viewed/read by the user.
    `UNDEFINED` | Indicates a call log whose read status is not defined.
    `UNREAD` | Indicates a call log which is not viewed/read by the user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallLogReadStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallLogReadStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final CallLogReadStatus UNDEFINED

      Indicates a call log whose read status is not defined. This is the default value when server has not provided any read status

    - #### UNREAD

          public static final CallLogReadStatus UNREAD

      Indicates a call log which is not viewed/read by the user.

    - #### READ

          public static final CallLogReadStatus READ

      Indicates a call log which is already viewed/read by the user.

  - ### Method Detail

    - #### values

          public static CallLogReadStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallLogReadStatus c : CallLogReadStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallLogReadStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null